[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.InvalidateSizes

Makes column sizes invalid, recalculates column sizes and refreshes the control.

## Declaration

Source position: dbgrids.pas line 423

`protected procedure TCustomDBGrid.InvalidateSizes;`

## Description

InvalidateSizes is a procedure which causes the grid to recalculate column sizes and to repaint its display area. InvalidateSizes updates the GridFlags for the control to include the value gfVisualChange.